{ config, pkgs, lib, home-manager, ... }:

{
  imports = [
    ./atuin
    ./bat
    ./direnv
    ./eza
    ./fish
    ./git
    ./lazygit
    ./neovim
    ./starship
  ];

  config = {
    programs.home-manager.enable = true;
    fonts.fontconfig.enable = true;
    home.stateVersion = "24.05";
    home.username = "wyatt";
    home.homeDirectory = "/Users/wyatt";

    home.packages = with pkgs; [
      discord
      babelfish
      obsidian
      tmux
      zoxide
      wget
      nerdfonts
      jdk
	    prismlauncher
	    iterm2
	    zed
	    vscode
	    nodejs
	    cargo
	    gcc
	    python3
      fh
    ];

    home.sessionVariables = {
      EDITOR = "nvim";
    };
  };
}
